describe MessageBox do
  context "Class Method .show" do
    subject {
      MessageBox.show(".show", "Class method called.", 0x40)
    }
    it { should eq 1 }
  end

  context "Plain MessageBox (no style specified)" do
    subject {
      MessageBox.new("Plain MessageBox", "This is plain message box.").show
    }
    it { should eq 1 }
  end

  describe MessageBox::Warn do
    subject {
      MessageBox::Warn.new("Warning MessageBox", "Warning!").show
    }
    it { should eq 1 }
  end

  describe MessageBox::YesNo do
    subject {
      MessageBox::YesNo.new("YesNo MessageBox", "This ok?").show
    }
    it { should eq 6 }
  end
end
