# Rb-Messagebox

:exclamation: For Windows MessageBox API Only supported currently. :exclamation:

**Rb-Messagebox** are show `MessageBox` dialog for Win32 API. (for Ruby)

## Installation

```
$ gem install messagebox
```

or Write to the Your application `Gemfile`

```
gem 'messagebox'
```

and execute `bundle` command.

## Usage

example of `irb` simple code.

```ruby
$ irb
> require 'messagebox'
> MessageBox.new("Title", "Example message").show
```

Warning MessageBox are

```ruby
$ irb
> require 'messagebox'
> MessageBox::Warning.new("Warning", "It's not Good something happen!").show
```

Yes or No selectable MessageBox

```ruby
$ irb
> require 'messagebox'
> MessageBox::YesNo.new("Yes No message box", "Is this dialog displayed?").show
```

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
